﻿using Hotline.Share.Enums.CallCenter;

namespace Hotline.Share.Dtos.CallCenter
{
    /// <summary>
    /// 坐席动作类型
    /// </summary>
    public class TelOperationXthxDto
    {
        /// <summary>
        /// 应用ID
        /// </summary>
        public string appId { get; set; }

        /// <summary>
        /// 应用密钥
        /// </summary>
        public string appSecret { get; set; }

        /// <summary>
        /// 分机号
        /// </summary>
        public string TelNo { get; set; }

        /// <summary>
        /// 工号
        /// </summary>
        public string StaffNo { get; set; }

        /// <summary>
        /// 分机状态
        /// </summary>
        public EOperationStatus Status { get; set; }
    }

    public class TelAppXthxDto
    {
        /// <summary>
        /// 应用ID
        /// </summary>
        public string appId { get; set; }

        /// <summary>
        /// 应用密钥
        /// </summary>
        public string appSecret { get; set; }
    }
}
