﻿using Hotline.Share.Enums.CallCenter;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.CallCenter.Tels
{
    [Description("坐席动作类型log")]
    public class TelOperationXthxLog : CreationEntity
    {
        /// <summary>
        /// 分机号
        /// </summary>
        [SugarColumn(ColumnDescription = "分机号")]
        public string? TelNo { get; set; }

        /// <summary>
        /// 工号
        /// </summary>
        [SugarColumn(ColumnDescription = "工号")]
        public string? StaffNo { get; set; }

        /// <summary>
        /// 分机状态
        /// </summary>
        public EOperationStatus Status { get; set; }

        /// <summary>
        /// 传入Json
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true, ColumnDescription = "传入Json")]
        public string? Json { get; set; }
    }
}
