﻿using System.ComponentModel;
using XF.Domain.Entities;

namespace Hotline.CaseLibrary;

/// <summary>
/// 案例库关联类型
/// </summary>
[Description("案例库关联类型")]
public class CaseRelationType : ITable, IEntity
{
    /// <summary>
    /// 案例库ID
    /// </summary>
    public string CaseId { get; set; }

    /// <summary>
    /// 案例库类型ID
    /// </summary>
    public string CaseTypeId { get; set; }
}

