﻿using Hotline.Share.Enums.FlowEngine;
using SqlSugar;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Hotline.FlowEngine.Workflows;

/// <summary>
/// 会签办理对象
/// </summary>
[SugarIndex("index_wfcsMember_workflowCountersignId", nameof(WorkflowCountersignMember.WorkflowCountersignId), OrderByType.Desc)]
public class WorkflowCountersignMember : CreationEntity
{
    public string WorkflowCountersignId { get; set; }

    /// <summary>
    /// 流程指派类型(冗余,非工单办理为null)
    /// </summary>
    public EFlowAssignType? FlowAssignType { get; set; }

    public string Key { get; set; }

    public string Value { get; set; }

    public bool IsHandled { get; set; }
}