﻿using Hotline.Share.Dtos.CallCenter;

namespace Hotline.Application.Xthx
{
    public interface IXthxApplication
    {
        /// <summary>
        /// 分机状态日志新增
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="Id"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<string> AddOperationLogAsync(TelOperationXthxDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 分机状态变更新增
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="Id"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<string> AddOperationAsync(TelOperationXthxDto dto, string Id, CancellationToken cancellationToken);

        /// <summary>
        /// 分机状态变更修改
        /// </summary>
        /// <param name="Id"></param>
        /// <param name="UId"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task UpdateOperationAsync(string Id, string UId, CancellationToken cancellationToken);
    }
}
