﻿using Hotline.KnowledgeBase;
using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Knowledge
{
    public record QueryKnowledgeApprovePagedRequest : PagedKeywordRequest
    {
        /// <summary>
        /// 已审批
        /// </summary>
        public bool HasApproved { get; set; }

        /// <summary>
        /// 审核类型
        /// </summary>
        public EKnowledgeApproveType? KnowledgeApproveType { get; set; }

        /// <summary>
        /// 是否公开
        /// </summary>
        public bool? IsPublic { get; set; }
    }
}
