﻿namespace Hotline.Share.Dtos.WebPortal
{
    public class OrderVisitListDataDto
    {
        /// <summary>
        /// 账号
        /// </summary>
        public string? ClientId { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string? ClientSecret { get; set; }

        /// <summary>
        /// 工单ID
        /// </summary>
        public string? OrderId { get; set; }

        public List<WaitVisitListDataDto> VistListDtos { get; set; }
    }

    public class WaitVisitListDataDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 工单ID
        /// </summary>
        public string? OrderId { get; set; }

        /// <summary>
        /// 回访ID
        /// </summary>
        public string? VisitId { get; set; }

        /// <summary>
        /// 回访部门Code
        /// </summary>
        public string? VisitOrgCode { get; set; }

        /// <summary>
        /// 回访部门名称
        /// </summary>
        public string? VisitOrgName { get; set; }

        /// <summary>
        /// 评价内容
        /// </summary>
        public string? VisitContent { get; set; }

        /// <summary>
        /// 满意度
        /// </summary>
        public string? SatisfactionCode { get; set; }

        /// <summary>
        /// 部门是否联系
        /// </summary>
        public bool? IsContact { get; set; }

        /// <summary>
        /// 是否解决问题
        /// </summary>
        public bool? Volved { get; set; }

        /// <summary>
        /// 不满意原因
        /// </summary>
        public List<Kv>? OrgNoSatisfiedReason { get; set; }
    }
}
