﻿using NETCore.Encrypt.Internal;
using NETCore.Encrypt;
using Org.BouncyCastle.Asn1.IsisMtt.X509;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NETCore.Encrypt.Extensions;
using Hotline.Share.Tools;
using System.Security.Cryptography;

namespace Hotline.Application.Tests.Application;
public class ThirdIdentifyApplicationTest
{
    [Fact]
    public async Task ThirdSystem_Test()
    {
        var appId = "companyName";
        var secret = "4x1q6YCWLDnHkpLTCWMwx3XQF7bA5QAd";


        var iv = Guid.NewGuid().ToString().Substring(0, 16);


        var unixTimespan = DateTimeOffset.Now.ToUnixTimeSeconds();
        var strString = appId + unixTimespan;
        var entrypted = EncryptProvider.AESEncrypt(strString, secret, iv);
        var token = appId + iv + entrypted;

        var decrypted = EncryptProvider.AESDecrypt(entrypted, secret, iv);
        Console.WriteLine(decrypted);


                                                        //"4x1q6YCWLDnHkpLTCWMwx3XQF7bA5QAd   WD7MEjbCySsniwKz
        entrypted = EncryptProvider.AESEncrypt(strString, "NBdabUfdsabwB7382fdsab18v321udab");
        decrypted = EncryptProvider.AESDecrypt(entrypted, "NBdabUfdsabwB7382fdsab18v321udab");
        Console.WriteLine(decrypted);
    }
}
